Summary: mod_sed can be used to filter input/output data using sed commands.
Name: mod_sed
Version: 0.2
Release: 1.art
License: ASL 2.0
Group: System Environment/Daemons
Source0: mod_sed-%{version}.tar.gz
Source1: mod_sed.conf
URL: http://src.opensolaris.org/source/xref/webstack/mod_sed/
Requires: httpd 
BuildRequires: httpd httpd-devel 
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Apache sed filter can be used to filter the input (typically POST data) and
output filter (generated data) using sed commands. Sed code is taken from
Opensolaris sed command (/usr/ucb/sed). Man page for sed is located at
http://docs.sun.com/app/docs/doc/816-5165/sed-1b?a=view

Functional specification documentation is available at mod_sed_filter.html

%prep
[ -n %{buildroot} ] && rm -rf %{buildroot}
[ -d %{_builddir}/%{name}-%{version} ] && rm -rf %{_builddir}/%{name}-%{version}

%setup 


%build
%{_sbindir}/apxs -c mod_sed.c regexp.c sed0.c sed1.c


%install
mkdir -p %{buildroot}%{_libdir}/httpd/modules
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d

cp -f .libs/mod_sed.so %{buildroot}%{_libdir}/httpd/modules
cp -f %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/mod_sed.conf

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
[ -d %{_builddir}/%{name}-%{version} ] && rm -rf %{_builddir}/%{name}-%{version}

%postun
[ -d %{_localstatedir}/%{name} ] && rm -rf %{_localstatedir}/%{name} || :


%files
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/httpd/modules/mod_sed.so
%attr(0640,root,root) %{_sysconfdir}/httpd/conf.d/mod_sed.conf

%changelog
* Fri Sep 12 2008 Scott R. Shinn <scott@atomicrocketturtle.com>
- Initial build of mod_sed from opensolaris
- Removed the solarisy chunks because those people are just dirty. 
- Version 0.2 is arbitrary, there was no version number referenced in the original

